#pragma once

#include "CoreMinimal.h"
#include "StatusEffect.h"
#include "RampingBlindEffect.generated.h"

class UBlindableComponent;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DBDCOMPETENCE_API URampingBlindEffect : public UStatusEffect
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced)
	UBlindableComponent* _ownerBlindable;

public:
	URampingBlindEffect();
};

FORCEINLINE uint32 GetTypeHash(const URampingBlindEffect) { return 0; }
